Subject: bug#64779: closed (Re: bug#64779: [PATCH core-updates] gnu: coreutils: Skip tests which are broken on btrfs)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 21 Jan 2024 02:48:02 +0000

Your bug report

#64779: [PATCH core-updates] gnu: coreutils: Skip tests which are broken on btrfs

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64779: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64779
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64779: [PATCH core-updates] gnu: coreutils: Skip tests which are broken on btrfs
From: Maxim Cournoyer <[email-masked]>
To: Ryan Sundberg <[email-masked]>
Cc: GNU Debbugs <[email-masked]>, [email-masked]
Date: Sat, 20 Jan 2024 21:47:11 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

tags 64779 + unreproducible
quit

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Ryan Sundberg <[email-masked]> writes:
>
>> When building coreutils on a BTRFS filesystem, this test case
>> consistently fails.
>>
>> * gnu/packages/base.scm (coreutils): Skip tests/cp/reflink-auto.sh
>> ---
>>  gnu/packages/base.scm | 6 +++++-
>>  1 file changed, 5 insertions(+), 1 deletion(-)
>>
>> diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
>> index 1fdfaf8a57..a9dab0b30f 100644
>> --- a/gnu/packages/base.scm
>> +++ b/gnu/packages/base.scm
>> @@ -464,7 +464,11 @@ (define-public coreutils
>>                                 ;; there might be some environmental factor
>>                                 ;; here
>>                                 ((" test-tls\\$\\(EXEEXT\\) ") " ")))
>> -                           '())
>> +                           '((substitute*
>> +                               ;; This test fails on BTRFS
>> +                               '("tests/cp/reflink-auto.sh")
>> +                               (("^#!.*" all)
>> +                                (string-append all "exit 77;\n")))))
>
> Could you please report the issue to upstream, and add a comment with a
> reference to the open issue?

I've searched the upstream issue tracker, and found none about this.
I've built coreutils 9.1 and latest master from source on my Btrfs
machine, which ran the test suite fine.  I've also rebuilt the current
Guix coreutils package with success on the same machine.

I don't think the problem is with Btrfs, or at least it's not easy to
reproduce.

Closing for now.

-- 
Thanks,
Maxim

Subject: [PATCH core-updates] gnu: coreutils: Skip tests which are broken on btrfs
From: Ryan Sundberg <[email-masked]>
To: [email-masked]
Cc: Ryan Sundberg <[email-masked]>
Date: Fri, 21 Jul 2023 17:55:16 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

When building coreutils on a BTRFS filesystem, this test case
consistently fails.

* gnu/packages/base.scm (coreutils): Skip tests/cp/reflink-auto.sh
---
 gnu/packages/base.scm | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/gnu/packages/base.scm b/gnu/packages/base.scm
index 1fdfaf8a57..a9dab0b30f 100644
--- a/gnu/packages/base.scm
+++ b/gnu/packages/base.scm
@@ -464,7 +464,11 @@ (define-public coreutils
                                ;; there might be some environmental factor
                                ;; here
                                ((" test-tls\\$\\(EXEEXT\\) ") " ")))
-                           '())
+                           '((substitute*
+                               ;; This test fails on BTRFS
+                               '("tests/cp/reflink-auto.sh")
+                               (("^#!.*" all)
+                                (string-append all "exit 77;\n")))))
                      (substitute* "Makefile.in"
                        ;; fails on filesystems where inotify cannot be used,
                        ;; more info in #47935
-- 
2.37.2